## ledger2beancount 1.6

=== Makefile ===
all:

L2C = bin/ledger2beancount
TEST_DEPS = $(wildcard tests/*) $(L2C)

test: test-stamp
test-stamp: $(TEST_DEPS)
	cd tests && ./runtests
	touch $@


check: test

clean:
	rm -f test-stamp

.PHONY: all check clean test

=== debian/changelog ===
ledger2beancount (1.6-1) unstable; urgency=medium

  * Initial release. (Closes: #927070)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 14 Apr 2019 17:25:36 +0000

=== debian/control ===
Source: ledger2beancount
Section: utils
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: beancount,
               debhelper-compat (= 12),
               ledger,
               libcarp-assert-perl,
               libconfig-onion-perl,
               libdate-calc-perl,
               libdatetime-format-strptime-perl,
               libfile-basedir-perl,
               libgetopt-long-descriptive-perl,
               libyaml-libyaml-perl
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount
Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
Homepage: https://github.com/zacchiro/ledger2beancount

Package: ledger2beancount
Architecture: all
Depends: libcarp-assert-perl,
         libconfig-onion-perl,
         libdate-calc-perl,
         libdatetime-format-strptime-perl,
         libfile-basedir-perl,
         libgetopt-long-descriptive-perl,
         libyaml-libyaml-perl,
         ${misc:Depends}
Recommends: beancount
Suggests: ledger
Description: Convert Ledger-based textual ledgers to Beancount ones
 A script to automatically convert Ledger-based textual ledgers to Beancount
 ones.
 .
 Conversion is based on (concrete) syntax, so that information that is not
 meaningful for accounting reasons but still valuable (e.g., comments,
 formatting, etc.) can be preserved.

## ledger2beancount 1.7

=== debian/changelog ===
ledger2beancount (1.7-1) unstable; urgency=medium

  * New upstream release.
   + Add new dependency on libstring-interpolate-perl.
   + Add build dependency on scdoc, pandoc.
  * Install man pages and PDF version of manual.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Jun 2019 20:30:53 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,13 @@
                libdatetime-format-strptime-perl,
                libfile-basedir-perl,
                libgetopt-long-descriptive-perl,
-               libyaml-libyaml-perl
+               libyaml-libyaml-perl,
+               libstring-interpolate-perl,
+               scdoc,
+               pandoc,
+               texlive-latex-recommended, lmodern, texlive-fonts-recommended
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount
+Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount.git
 Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
 Homepage: https://github.com/zacchiro/ledger2beancount
 
@@ -25,6 +29,7 @@
          libdatetime-format-strptime-perl,
          libfile-basedir-perl,
          libgetopt-long-descriptive-perl,
+         libstring-interpolate-perl,
          libyaml-libyaml-perl,
          ${misc:Depends}
 Recommends: beancount

## ledger2beancount 1.8

=== debian/changelog ===
ledger2beancount (1.8-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add missing build-dependency on texlive-latex-extra.
  * Add patch disable-python to disable Python directives in tests,
    since ledger in unstable no longer supports Python. Closes: #947904
  * Set Rules-Requires-Root.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Use dh $@ sequencer.
  * Update standards version to 4.4.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 01 Jan 2020 22:45:26 +0000

ledger2beancount (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary dependency on libcarp-assert-perl.
  * Set upstream metadata fields: Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Jun 2019 23:04:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: beancount,
                debhelper-compat (= 12),
                ledger,
-               libcarp-assert-perl,
                libconfig-onion-perl,
                libdate-calc-perl,
                libdatetime-format-strptime-perl,
@@ -15,16 +14,17 @@
                libstring-interpolate-perl,
                scdoc,
                pandoc,
-               texlive-latex-recommended, lmodern, texlive-fonts-recommended
-Standards-Version: 4.3.0
+               texlive-latex-recommended, lmodern, texlive-fonts-recommended,
+               texlive-latex-extra
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount.git
 Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
 Homepage: https://github.com/zacchiro/ledger2beancount
 
 Package: ledger2beancount
 Architecture: all
-Depends: libcarp-assert-perl,
-         libconfig-onion-perl,
+Depends: libconfig-onion-perl,
          libdate-calc-perl,
          libdatetime-format-strptime-perl,
          libfile-basedir-perl,

## ledger2beancount 2.0

=== Makefile ===
all: test docs

L2C = bin/ledger2beancount
TEST_DEPS = $(wildcard tests/*) $(L2C)

test: test-stamp
test-stamp: $(TEST_DEPS)
	cd tests && ./runtests
	touch $@

check: test

docs/ledger2beancount.1: docs/ledger2beancount.1.scd
	scdoc < $< > $@

docs/ledger2beancount.5: docs/ledger2beancount.5.scd
	scdoc < $< > $@

docs/manual.pdf: docs/manual.md
	pandoc -f markdown+definition_lists $< -o $@

pdf: docs/manual.pdf

man: docs/ledger2beancount.1 docs/ledger2beancount.5

docs: pdf man

clean:
	rm -f test-stamp docs/ledger2beancount.1 docs/ledger2beancount.5 docs/manual.pdf

.PHONY: all check clean test pdf man docs

=== debian/changelog ===
ledger2beancount (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.5.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Feb 2020 01:57:34 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                texlive-latex-recommended, lmodern, texlive-fonts-recommended,
                texlive-latex-extra
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount.git
 Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
 Homepage: https://github.com/zacchiro/ledger2beancount

=== debian/tests/control ===
Tests: testsuite
Depends: beancount,
         ledger,
         @

## ledger2beancount 2.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# SPDX-FileCopyrightText: © 2016 Stefano Zacchiroli <zack@upsilon.cc>
+# SPDX-FileCopyrightText: © 2018 Martin Michlmayr <tbm@cyrius.com>
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 all: test docs
 
 L2C = bin/ledger2beancount

=== debian/changelog ===
ledger2beancount (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Apr 2020 14:03:06 +0000

## ledger2beancount 2.2

=== debian/changelog ===
ledger2beancount (2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.

  [ Jelmer Vernooĳ ]
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Jun 2020 02:37:00 +0000

## ledger2beancount 2.3

=== debian/changelog ===
ledger2beancount (2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.

  [ Jelmer Vernooĳ ]
  * Update Homepage to readthedocs site, and update
    debian/upstream/metadata to new upstream repository location.
  * Add new dependencies on libenum-perl, liblist-moreutils-perl,
    libregexp-common-perl.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Jun 2020 17:23:34 +0000

=== debian/control ===
--- 
+++ 
@@ -15,19 +15,25 @@
                scdoc,
                pandoc,
                texlive-latex-recommended, lmodern, texlive-fonts-recommended,
-               texlive-latex-extra
+               texlive-latex-extra,
+               liblist-moreutils-perl,
+               libregexp-common-perl,
+               libenum-perl
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount.git
 Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
-Homepage: https://github.com/zacchiro/ledger2beancount
+Homepage: https://ledger2beancount.readthedocs.io/
 
 Package: ledger2beancount
 Architecture: all
 Depends: libconfig-onion-perl,
          libdate-calc-perl,
          libdatetime-format-strptime-perl,
+         libenum-perl,
          libfile-basedir-perl,
+         liblist-moreutils-perl,
+         libregexp-common-perl,
          libgetopt-long-descriptive-perl,
          libstring-interpolate-perl,
          libyaml-libyaml-perl,

## ledger2beancount 2.4

=== debian/changelog ===
ledger2beancount (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch disable-python, replace by 01_python3 migrating to Python 3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 03 Sep 2020 18:11:57 +0000

## ledger2beancount 2.5

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 docs/ledger2beancount.5: docs/ledger2beancount.5.scd
 	scdoc < $< > $@
 
-docs/manual.pdf: docs/manual.md
-	pandoc -f markdown+definition_lists $< -o $@
+docs/manual.pdf: docs/index.md docs/features.md docs/compatibility.md docs/installation.md docs/usage.md docs/configuration.md docs/guide.md docs/changelog.md docs/contributing.md docs/authors.md docs/license.md
+	pandoc -f markdown+definition_lists+backtick_code_blocks $^ -o $@
 
 pdf: docs/manual.pdf

=== requirements.txt ===
mkdocs>=1.1
mkdocs-exclude>=1.0.2

=== debian/changelog ===
ledger2beancount (2.5-1) unstable; urgency=medium

  * New upstream release.
   + Drop dependency on libconfig-onion-perl.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Nov 2020 02:58:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: beancount,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                ledger,
-               libconfig-onion-perl,
                libdate-calc-perl,
                libdatetime-format-strptime-perl,
                libfile-basedir-perl,
@@ -27,8 +26,7 @@
 
 Package: ledger2beancount
 Architecture: all
-Depends: libconfig-onion-perl,
-         libdate-calc-perl,
+Depends: libdate-calc-perl,
          libdatetime-format-strptime-perl,
          libenum-perl,
          libfile-basedir-perl,

=== debian/tests/control ===
Tests: testsuite
Depends: beancount,
         ledger,
         @
Restrictions: allow-stderr

## ledger2beancount 2.7

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 docs/ledger2beancount.5: docs/ledger2beancount.5.scd
 	scdoc < $< > $@
 
-docs/manual.pdf: docs/index.md docs/features.md docs/compatibility.md docs/installation.md docs/usage.md docs/configuration.md docs/guide.md docs/changelog.md docs/contributing.md docs/authors.md docs/license.md
+docs/manual.pdf: docs/index.md docs/features.md docs/compatibility.md docs/installation.md docs/usage.md docs/configuration.md docs/guide.md docs/limitations.md docs/tips.md docs/changelog.md docs/contributing.md docs/authors.md docs/license.md
 	pandoc -f markdown+definition_lists+backtick_code_blocks $^ -o $@
 
 pdf: docs/manual.pdf

=== debian/changelog ===
ledger2beancount (2.7-1) unstable; urgency=low

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * New upstream release.

  [ Jelmer Vernooĳ ]
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Dec 2022 01:00:55 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libregexp-common-perl,
                libenum-perl
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/jelmer/ledger2beancount.git
 Vcs-Browser: https://salsa.debian.org/jelmer/ledger2beancount
 Homepage: https://ledger2beancount.readthedocs.io/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledger2beancount-$1\.tar\.gz/ \
  https://github.com/zacchiro/ledger2beancount/tags .*/?(\d\S+)\.tar\.gz
